Commit 4118e9dc authored by Yuri Blankenstein's avatar Yuri Blankenstein
Browse files

Merge branch '19-run-the-eclipse-dash-license-tool-as-part-of-the-jenkins-build' into 'develop'

Resolve "Run the Eclipse dash license tool as part of the Jenkins build"

Closes #19

See merge request !10
parents fd9597b5 ec45a663
Pipeline #2787 passed with stage
in 0 seconds
...@@ -42,5 +42,23 @@ ...@@ -42,5 +42,23 @@
<arguments>1.0-name-matches-false-false-releng</arguments> <arguments>1.0-name-matches-false-false-releng</arguments>
</matcher> </matcher>
</filter> </filter>
<filter>
<id>1647958747763</id>
<name>releng</name>
<type>9</type>
<matcher>
<id>org.eclipse.ui.ide.multiFilter</id>
<arguments>1.0-name-matches-false-false-legal-defaults</arguments>
</matcher>
</filter>
<filter>
<id>1647958747771</id>
<name>releng</name>
<type>9</type>
<matcher>
<id>org.eclipse.ui.ide.multiFilter</id>
<arguments>1.0-name-matches-false-false-license-check-dependencies</arguments>
</matcher>
</filter>
</filteredResources> </filteredResources>
</projectDescription> </projectDescription>
maven/mavencentral/aopalliance/aopalliance/1.0, LicenseRef-Public-Domain, approved, CQ2918
maven/mavencentral/com.google.code.findbugs/jsr305/3.0.2, Apache-2.0, approved, #20
maven/mavencentral/com.google.errorprone/error_prone_annotations/2.2.0, Apache-2.0, approved, clearlydefined
maven/mavencentral/com.google.guava/failureaccess/1.0.1, Apache-2.0, approved, CQ22654
maven/mavencentral/com.google.guava/guava/27.1-jre, Apache-2.0 AND CC0-1.0, approved, CQ19110
maven/mavencentral/com.google.guava/listenablefuture/9999.0-empty-to-avoid-conflict-with-guava, NONE, approved, #803
maven/mavencentral/com.google.inject/guice/3.0, Apache-2.0, approved, CQ5058
maven/mavencentral/com.google.j2objc/j2objc-annotations/1.1, Apache-2.0, approved, CQ18765
maven/mavencentral/io.github.classgraph/classgraph/4.8.35, MIT, approved, CQ22530
maven/mavencentral/javax.inject/javax.inject/1, Apache-2.0, approved, CQ3555
maven/mavencentral/log4j/log4j/1.2.17, Apache-2.0, approved, CQ7837
maven/mavencentral/org.antlr/antlr-runtime/3.2, BSD-3-Clause, approved, #985
maven/mavencentral/org.checkerframework/checker-qual/2.5.2, MIT, approved, clearlydefined
maven/mavencentral/org.codehaus.mojo/animal-sniffer-annotations/1.17, MIT, approved, clearlydefined
maven/mavencentral/org.eclipse.emf/org.eclipse.emf.common/2.17.0, , approved, eclipse
maven/mavencentral/org.eclipse.emf/org.eclipse.emf.ecore.xmi/2.16.0, , approved, eclipse
maven/mavencentral/org.eclipse.emf/org.eclipse.emf.ecore/2.20.0, , approved, eclipse
maven/mavencentral/org.eclipse.platform/org.eclipse.equinox.common/3.11.0, EPL-2.0, approved, eclipse.platform
maven/mavencentral/org.eclipse.platform/org.eclipse.osgi/3.15.200, EPL-2.0, approved, eclipse.platform
maven/mavencentral/org.eclipse.xtend/org.eclipse.xtend.lib.macro/2.22.0, , approved, eclipse
maven/mavencentral/org.eclipse.xtend/org.eclipse.xtend.lib/2.22.0, , approved, eclipse
maven/mavencentral/org.eclipse.xtext/org.eclipse.xtext.common.types/2.22.0, EPL-2.0, approved, modeling.tmf.xtext
maven/mavencentral/org.eclipse.xtext/org.eclipse.xtext.util/2.22.0, EPL-2.0, approved, modeling.tmf.xtext
maven/mavencentral/org.eclipse.xtext/org.eclipse.xtext.xbase.lib/2.22.0, EPL-2.0, approved, modeling.tmf.xtext
maven/mavencentral/org.eclipse.xtext/org.eclipse.xtext.xbase/2.22.0, EPL-2.0, approved, modeling.tmf.xtext
maven/mavencentral/org.eclipse.xtext/org.eclipse.xtext/2.22.0, EPL-2.0, approved, modeling.tmf.xtext
maven/mavencentral/org.ow2.asm/asm-analysis/8.0.1, BSD-3-Clause, approved, clearlydefined
maven/mavencentral/org.ow2.asm/asm-commons/8.0.1, BSD-3-Clause, approved, clearlydefined
maven/mavencentral/org.ow2.asm/asm-tree/8.0.1, BSD-3-Clause, approved, clearlydefined
maven/mavencentral/org.ow2.asm/asm/8.0.1, BSD-3-Clause, approved, clearlydefined
p2/orbit/p2.eclipse-plugin/com.google.guava/27.1.0.v20190517-1946, Apache-2.0 AND CC0-1.0, approved, CQ19110
p2/orbit/p2.eclipse-plugin/com.google.inject/3.0.0.v201605172100, Apache-2.0, approved, CQ5058
p2/orbit/p2.eclipse-plugin/com.ibm.icu/64.2.0.v20190507-1337, ICU AND Unicode-TOU AND BSD-3-Clause AND BSD-2-Clause AND LicenseRef-ipadic-license AND LicenseRef-Public-Domain, approved, CQ19629
p2/orbit/p2.eclipse-plugin/io.github.classgraph/4.8.35.v20190528-1517, MIT, approved, CQ19736
p2/orbit/p2.eclipse-plugin/javax.annotation/1.2.0.v201602091430, , approved, CQ7386
p2/orbit/p2.eclipse-plugin/javax.inject/1.0.0.v20091030, Apache-2.0, approved, CQ3555
p2/orbit/p2.eclipse-plugin/org.antlr.runtime/3.2.0.v201101311130, BSD-2-Clause, approved, CQ3820
p2/orbit/p2.eclipse-plugin/org.apache.batik.constants/1.11.0.v20190515-0436, Apache-2.0, approved, CQ19682
p2/orbit/p2.eclipse-plugin/org.apache.batik.css/1.11.0.v20190515-0436, Apache-2.0, approved, CQ19683
p2/orbit/p2.eclipse-plugin/org.apache.batik.i18n/1.11.0.v20190515-0436, Apache-2.0, approved, CQ19684
p2/orbit/p2.eclipse-plugin/org.apache.batik.util/1.11.0.v20190515-0436, Apache-2.0, approved, CQ19685
p2/orbit/p2.eclipse-plugin/org.apache.commons.io/2.6.0.v20190123-2029, Apache-2.0, approved, CQ16712
p2/orbit/p2.eclipse-plugin/org.apache.commons.jxpath/1.3.0.v200911051830, Apache-2.0, approved, CQ10790
p2/orbit/p2.eclipse-plugin/org.apache.commons.lang/2.6.0.v201404270220, Apache-2.0, approved, CQ6183
p2/orbit/p2.eclipse-plugin/org.apache.commons.logging/1.2.0.v20180409-1502, Apache-2.0, approved, CQ10162
p2/orbit/p2.eclipse-plugin/org.apache.felix.scr/2.1.16.v20200110-1820, Apache-2.0 AND MIT, approved, CQ21362
p2/orbit/p2.eclipse-plugin/org.apache.log4j/1.2.15.v201012070815, Apache-2.0, approved, CQ2555
p2/orbit/p2.eclipse-plugin/org.apache.xmlgraphics/2.3.0.v20190515-0436, Apache-2.0, approved, CQ19686
p2/orbit/p2.eclipse-plugin/org.apiguardian/1.1.0.v20190826-0900, EPL-2.0 AND Apache-2.0, approved, CQ20556
p2/orbit/p2.eclipse-plugin/org.eclipse.compare.core/3.6.900.v20200412-2017, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.compare/3.7.1000.v20200511-1203, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.commands/3.9.700.v20191217-1850, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.contenttype/3.7.700.v20200517-1644, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.databinding.observable/1.9.0.v20200205-2119, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.databinding.property/1.8.0.v20200124-0715, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.databinding/1.9.0.v20200519-1409, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.expressions/3.6.800.v20200319-0911, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.filebuffers/3.6.1000.v20200409-1035, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.filesystem/1.7.700.v20200110-1734, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.jobs/3.10.800.v20200421-0950, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.net/1.3.900.v20200428-1255, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.resources/3.13.700.v20200209-1624, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.runtime/3.18.0.v20200506-2143, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.core.variables/3.4.800.v20200120-1101, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.debug.core/3.15.100.v20200514-0816, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.debug.ui/3.14.500.v20200520-0842, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.commands/0.12.900.v20200110-1732, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.contexts/1.8.400.v20191217-1710, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.di.annotations/1.6.600.v20191216-2352, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.di.extensions.supplier/0.15.600.v20200311-0642, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.di.extensions/0.16.0.v20200507-0938, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.di/1.7.600.v20200428-0912, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.core.services/2.2.300.v20200422-1846, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.emf.xpath/0.2.700.v20200318-1219, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.bindings/0.12.900.v20200513-0930, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.css.core/0.12.1200.v20200513-0930, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.css.swt.theme/0.12.700.v20200527-0719, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.css.swt/0.13.1000.v20200525-0806, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.di/1.2.800.v20200128-0855, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.dialogs/1.1.800.v20200522-0923, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.ide/3.15.100.v20200323-2111, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.model.workbench/2.1.700.v20200113-1422, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.services/1.3.700.v20190930-1643, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.widgets/1.2.700.v20191222-1048, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.workbench.addons.swt/1.3.1000.v20200517-1848, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.workbench.renderers.swt/0.14.1200.v20200529-1321, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.workbench.swt/0.14.1000.v20200514-1625, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.workbench/1.11.300.v20200514-1625, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.e4.ui.workbench3/0.15.400.v20191216-0805, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.common.ui/2.18.0.v20190507-0402, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.common/2.19.0.v20200324-0932, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.ecore.change/2.14.0.v20190528-0725, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.ecore.edit/2.13.0.v20190822-1451, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.ecore.editor/2.17.0.v20190528-0725, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.ecore.xmi/2.16.0.v20190528-0725, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.ecore/2.22.0.v20200519-1135, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.edit.ui/2.18.0.v20200205-0529, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.emf.edit/2.16.0.v20190920-0401, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.app/1.4.500.v20200422-1833, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.bidi/1.2.300.v20191213-1901, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.common/3.12.0.v20200504-1602, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.event/1.5.400.v20200511-1702, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.launcher/1.5.700.v20200207-2156, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.p2.core/2.6.300.v20200211-1504, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.p2.engine/2.6.700.v20200511-1530, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.p2.metadata.repository/1.3.400.v20191211-1528, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.p2.metadata/2.5.0.v20200511-1530, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.p2.repository/2.4.700.v20200110-2121, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.preferences/3.8.0.v20200422-1833, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.registry/3.8.800.v20200406-0956, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.equinox.security/1.3.500.v20200114-1637, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.help/3.8.800.v20200525-0755, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.jdt.core.manipulation/1.14.0.v20200526-0740, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.jdt.core/3.22.0.v20200530-2032, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.jdt.debug/3.15.100.v20200525-2012, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.jdt.launching/3.17.100.v20200526-1503, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.jdt.ui/3.21.100.v20200602-0959, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.jface.databinding/1.11.100.v20200522-1835, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.jface.text/3.16.300.v20200526-0811, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.jface/3.20.0.v20200505-1952, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ltk.core.refactoring/3.11.0.v20200515-0330, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ltk.ui.refactoring/3.11.0.v20200515-0330, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.osgi.services/3.8.0.v20190206-2147, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.osgi.util/3.5.300.v20190708-1141, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.osgi/3.15.300.v20200520-1959, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.search/3.11.1000.v20200410-1852, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.swt.cocoa.macosx.x86_64/3.114.100.v20200604-0951, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.swt.gtk.linux.x86_64/3.114.100.v20200604-0951, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.swt.win32.win32.x86_64/3.114.100.v20200604-0951, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.swt/3.114.100.v20200604-0951, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.team.core/3.8.1000.v20200428-1255, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.team.ui/3.8.900.v20200422-1935, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.text/3.10.200.v20200428-0633, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.console/3.9.200.v20200511-1122, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.editors/3.13.200.v20200501-2307, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.forms/3.9.100.v20200413-1417, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.ide.application/1.3.700.v20200525-1456, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.ide/3.17.100.v20200530-0835, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.navigator.resources/3.7.300.v20200417-1241, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.navigator/3.9.300.v20200513-0930, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.views.properties.tabbed/3.8.900.v20200513-0930, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.views/3.10.300.v20200311-1018, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.workbench.texteditor/3.14.200.v20200421-1954, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui.workbench/3.119.0.v20200521-1247, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.ui/3.117.0.v20200518-1705, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.urischeme/1.1.0.v20200603-1117, EPL-2.0, approved, eclipse.platform
p2/orbit/p2.eclipse-plugin/org.eclipse.xtend.lib.macro/2.22.0.v20200602-0713, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtend.lib/2.22.0.v20200602-0713, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.builder/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.common.types.edit/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.common.types.ui/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.common.types/2.22.0.v20200602-1114, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ide/2.22.0.v20200602-1352, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.smap/2.22.0.v20200602-1114, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.testing/2.22.0.v20200602-1352, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ui.codetemplates.ide/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ui.codetemplates.ui/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ui.codetemplates/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ui.shared/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.ui/2.22.0.v20200602-1242, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.util/2.22.0.v20200602-1352, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.xbase.ide/2.22.0.v20200602-1114, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.xbase.lib/2.22.0.v20200602-0713, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.xbase.testing/2.22.0.v20200602-1114, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext.xbase/2.22.0.v20200602-1114, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.eclipse.xtext/2.22.0.v20200602-1352, , approved, eclipse
p2/orbit/p2.eclipse-plugin/org.hamcrest.core/1.3.0.v20180420-1519, BSD-2-Clause, approved, CQ7063
p2/orbit/p2.eclipse-plugin/org.junit.jupiter.api/5.6.0.v20200203-2009, EPL-2.0, approved, CQ21546
p2/orbit/p2.eclipse-plugin/org.junit.platform.commons/1.6.0.v20200203-2009, EPL-2.0, approved, CQ21546
p2/orbit/p2.eclipse-plugin/org.junit/4.13.0.v20200204-1500, EPL-1.0, approved, CQ21439
p2/orbit/p2.eclipse-plugin/org.objectweb.asm/8.0.1.v20200420-1007, BSD-3-Clause, approved, #1989
p2/orbit/p2.eclipse-plugin/org.opentest4j/1.2.0.v20190826-0900, EPL-2.0 AND Apache-2.0, approved, CQ20556
p2/orbit/p2.eclipse-plugin/org.tukaani.xz/1.8.0.v20180207-1613, LicenseRef-Public-Domain, approved, CQ15386
p2/orbit/p2.eclipse-plugin/org.w3c.css.sac/1.3.1.v200903091627, Apache-2.0 OR LicenseRef-Public-Domain OR W3C, approved, CQ1448
p2/orbit/p2.eclipse-plugin/org.w3c.dom.events/3.0.0.draft20060413_v201105210656, Apache-2.0, approved, CQ208
p2/orbit/p2.eclipse-plugin/org.w3c.dom.smil/1.0.1.v200903091627, Apache-2.0 OR LicenseRef-Public-Domain OR W3C, approved, CQ1448
p2/orbit/p2.eclipse-plugin/org.w3c.dom.svg/1.1.0.v201011041433, Apache-2.0, approved, CQ208
//////////////////////////////////////////////////////////////////////////////
//
// Copyright (c) 2021 Contributors to the Eclipse Foundation
//
// This program and the accompanying materials are made
// available under the terms of the Eclipse Public License 2.0
// which is available at https://www.eclipse.org/legal/epl-2.0/
//
// SPDX-License-Identifier: EPL-2.0
//
//////////////////////////////////////////////////////////////////////////////
pipeline {
triggers {
cron('H H * * *')
}
agent any
tools {
jdk 'openjdk-jdk11-latest'
maven 'apache-maven-3.8.1'
}
options {
buildDiscarder(logRotator(numToKeepStr: '5'))
timeout(time: 10, unit: 'MINUTES')
timestamps()
}
stages {
stage('Check') {
steps {
sh '''
java -version
mvn -version
./releng/license-check-dependencies/license-check-dependencies.sh
'''
}
post {
always {
archiveArtifacts 'DEPENDENCIES*.txt'
}
}
}
}
post {
// Send an e-mail on unsuccessful builds (unstable, failure, aborted).
unsuccessful {
emailext subject: 'Dependencies license check $BUILD_STATUS $PROJECT_NAME #$BUILD_NUMBER!',
body: '''Check console output at $BUILD_URL to view the results.''',
to: 'trace4cps-dev@eclipse.org'
}
// Send an e-mail on fixed builds (back to normal).
fixed {
emailext subject: 'Dependencies license check $BUILD_STATUS $PROJECT_NAME #$BUILD_NUMBER!',
body: '''Check console output at $BUILD_URL to view the results.''',
to: 'trace4cps-dev@eclipse.org'
}
}
}
#!/usr/bin/env sh
#
# Copyright (c) 2021 Contributors to the Eclipse Foundation
#
# This program and the accompanying materials are made
# available under the terms of the Eclipse Public License 2.0
# which is available at https://www.eclipse.org/legal/epl-2.0/
#
# SPDX-License-Identifier: EPL-2.0
#
# Go to Git repository root.
SCRIPT=`readlink -f $0`
SCRIPTPATH=`dirname $SCRIPT`
cd $SCRIPTPATH/../..
# Clean up from last time.
rm -rf DEPENDENCIES.generated.txt
rm -rf DEPENDENCIES.generated.processed.txt
# Perform license check.
set -e
./build.sh org.eclipse.dash:license-tool-plugin:license-check -Ddash.projectId=technology.trace4cps -Ddash.summary=DEPENDENCIES.generated.txt
set +e
cat DEPENDENCIES.generated.txt | grep -v "^maven/mavencentral/org.eclipse.trace4cps/" > DEPENDENCIES.generated.processed.txt
# Check for differences with stored license check result.
# Exit code is zero in case of no differences.
echo
echo "Checking for differences between generated and stored dependency lists..."
diff --strip-trailing-cr -u DEPENDENCIES.txt DEPENDENCIES.generated.processed.txt
ANY_DIFFS=$?
# Check for restricted dependencies.
# Exit code is 0 in case of some restricted entries, 1 in case of no restricted entries, and some other value in case of error.
echo
echo "Checking for restricted dependencies..."
grep restricted DEPENDENCIES.generated.processed.txt
RESTRICTED=$?
# Cleanup.
rm DEPENDENCIES.generated.txt
if [ $ANY_DIFFS -eq 0 ]; then
# No differences, so can remove generated file.
rm DEPENDENCIES.generated.processed.txt
fi
# Fail on differences and/or restricted dependencies.
if [ $ANY_DIFFS -ne 0 ]; then
>&2 echo
>&2 echo "FAILED: Differences found:"
>&2 echo " - Please replace DEPENDENCIES.txt by DEPENDENCIES.generated.processed.txt."
exit 1
fi
if [ $RESTRICTED -ne 1 ]; then
>&2 echo
>&2 echo "FAILED: Restricted dependencies found. Please:"
>&2 echo " - File a CQ with the IP team for approval, if applicable."
>&2 echo " - File an issue for the Eclipse Dash license check tool, in case of a false positive."
exit 1
fi
# Success.
echo
echo "SUCCESS: License check OK."
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment